##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2019                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


CONFIG	+= qt thread rtti exceptions warn_on  release plugin
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
TEMPLATE = lib
CUBE +=
CUBE_SRC = C:/Scalasca-Soft/Install/Cube2.0/install
GUI_SRC = ../../../src/GUI-qt
GUI_CONFIG = ../../../vpath/src
DEPENDPATH += $${GUI_SRC} $${GUI_SRC}/display
INCLUDEPATH +=  \
	$${GUI_SRC} \
	$${GUI_CONFIG}  \
	$${GUI_SRC}/display   \
	$${GUI_SRC}/display/plugins   \
	$${GUI_SRC}/display/utils   \
	$${CUBE_SRC}/include/cubelib 
	 
LIBS += -L$${CUBE_SRC}/lib -lcube  -L../GUI-qt-core/release -lcube4gui 

DEFINES+= CUBE_PREFIX=\\\"unknown\\\" 
DEFINES+= LIBDIR=\\\".\\\"


QMAKE_CXXFLAGS=-fexceptions

QT += network

# Input{
HEADERS += \
$${GUI_SRC}/plugins/SourceCodeEditor/CPPSyntaxHighlighter.h \
$${GUI_SRC}/plugins/SourceCodeEditor/EditorConfig.h \
$${GUI_SRC}/plugins/SourceCodeEditor/EditorPlugin.h \
$${GUI_SRC}/plugins/SourceCodeEditor/FortranSyntaxHighlighter.h \
$${GUI_SRC}/plugins/SourceCodeEditor/SourceCodeEditor.h


SOURCES += \
$${GUI_SRC}/plugins/SourceCodeEditor/CPPSyntaxHighlighter.cpp \
$${GUI_SRC}/plugins/SourceCodeEditor/EditorConfig.cpp \
$${GUI_SRC}/plugins/SourceCodeEditor/EditorPlugin.cpp \
$${GUI_SRC}/plugins/SourceCodeEditor/FortranSyntaxHighlighter.cpp \
$${GUI_SRC}/plugins/SourceCodeEditor/SourceCodeEditor.cpp 



# Hack for IBM AIX
aix-g++ {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
aix-g++-64 {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
