##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 1998-2020                                                ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  Copyright (c) 2009-2015                                                ##
##  German Research School for Simulation Sciences GmbH,                   ##
##  Laboratory for Parallel Programming                                    ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


CONFIG	+= qt thread rtti exceptions warn_on  release plugin
TEMPLATE = lib
CUBE +=
CUBE_SRC = C:/Scalasca-Soft/Install/Cube2.0/$$(PREFIX)/install
GUI_SRC = ../../../src/GUI-qt
GUI_CONFIG = ../../../vpath/src
DEPENDPATH += $${GUI_SRC} $${GUI_SRC}/display
INCLUDEPATH +=  \
	$${GUI_SRC} \
	$${GUI_CONFIG}  \
	$${GUI_SRC}/display   \
	$${GUI_SRC}/display/plugins   \
	$${GUI_SRC}/display/utils   \
	$${CUBE_SRC}/include/cubelib \
	$${GUI_SRC}/plugins/Advisor  \
	$${GUI_SRC}/plugins/Advisor/analyse\
	$${GUI_SRC}/plugins/Advisor/analyse/computation\
	$${GUI_SRC}/plugins/Advisor/analyse/computation/tests \
	$${GUI_SRC}/plugins/Advisor/analyse/knl\
	$${GUI_SRC}/plugins/Advisor/analyse/knl/tests \
	$${GUI_SRC}/plugins/Advisor/analyse/overview\
	$${GUI_SRC}/plugins/Advisor/analyse/overview/tests \
	$${GUI_SRC}/plugins/Advisor/analyse/pop-audit\
	$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests \
	$${GUI_SRC}/plugins/Advisor/tests  	
	 
LIBS += -L$${CUBE_SRC}/lib -lcube  -L../GUI-qt-core/release -lcube4gui 

DEFINES+= CUBE_PREFIX=\\\"unknown\\\" 
DEFINES+= LIBDIR=\\\".\\\"


QMAKE_CXXFLAGS=-fexceptions

QT += widgets network printsupport concurrent

# Input{
HEADERS += \
$${GUI_SRC}/plugins/Advisor/analyse/computation/ComputationPerformanceAnalysis.h  \
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/BranchPredictionPerformanceTest.h \
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/CachePerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/L1CacheUtilizationPerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/L2CacheUtilizationPerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/L3CacheUtilizationPerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/VectorizationTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/knl/KnlMemoryAnalysis.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/KnlVectorizationAnalysis.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/L1CompToDataTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/L2CompToDataTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/VPUIntensityTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/KnlLLCMissTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/KnlMemoryBandwidthTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/KnlMemoryTransferTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/OverviewPerformanceAnalysis.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/AlgMgmtTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/CommunicationTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/ComputationLoadBalanceTest.h \
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/GPUOverheadTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/IOOverheadTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/NonComputationLoadBalanceTest.h \
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/OverallComputationPerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/OverallManagementPerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/OverallPerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/analyse/PerformanceAnalysis.h\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/POPAuditAnalysis.h\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPCommunicationEfficiencyTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPComputationTimeTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPImbalanceTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPIPCTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPNoWaitINSTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPParallelEfficiencyTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPSerialisationTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPStalledResourcesTest.h  \
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPTransferTest.h  \
$${GUI_SRC}/plugins/Advisor/CubeAdvice.h \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorPlugin.h \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorProgress.h \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorTableWidgetItem.h \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorToolBar.h \
$${GUI_SRC}/plugins/Advisor/CubeHelpButton.h\
$${GUI_SRC}/plugins/Advisor/CubeRatingWidget.h\
$${GUI_SRC}/plugins/Advisor/CubeTestWidget.h\
$${GUI_SRC}/plugins/Advisor/tests/PerformanceTest.h\
$${GUI_SRC}/plugins/Advisor/tests/PerformanceTest_incl.h


SOURCES += \
$${GUI_SRC}/plugins/Advisor/analyse/computation/ComputationPerformanceAnalysis.cpp  \
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/BranchPredictionPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/CachePerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/L1CacheUtilizationPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/L2CacheUtilizationPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/L3CacheUtilizationPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/computation/tests/VectorizationTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/KnlMemoryAnalysis.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/KnlVectorizationAnalysis.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/L1CompToDataTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/L2CompToDataTest.cpp \
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/VPUIntensityTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/KnlLLCMissTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/KnlMemoryBandwidthTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/knl/tests/KnlMemoryTransferTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/OverviewPerformanceAnalysis.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/AlgMgmtTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/CommunicationTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/ComputationLoadBalanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/GPUOverheadTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/IOOverheadTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/NonComputationLoadBalanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/OverallComputationPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/OverallManagementPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/overview/tests/OverallPerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/PerformanceAnalysis.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/POPAuditAnalysis.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPCommunicationEfficiencyTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPComputationTimeTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPImbalanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPIPCTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPNoWaitINSTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPParallelEfficiencyTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPSerialisationTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPStalledResourcesTest.cpp\
$${GUI_SRC}/plugins/Advisor/analyse/pop-audit/tests/POPTransferTest.cpp\
$${GUI_SRC}/plugins/Advisor/CubeAdvisorPlugin.cpp \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorProgress.cpp \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorTableWidgetItem.cpp \
$${GUI_SRC}/plugins/Advisor/CubeAdvisorToolBar.cpp \
$${GUI_SRC}/plugins/Advisor/CubeHelpButton.cpp \
$${GUI_SRC}/plugins/Advisor/CubeRatingWidget.cpp \
$${GUI_SRC}/plugins/Advisor/CubeTestWidget.cpp \
$${GUI_SRC}/plugins/Advisor/tests/PerformanceTest.cpp\
$${GUI_SRC}/plugins/Advisor/tests/PerformanceTest_incl.cpp 


# Hack for IBM AIX
aix-g++ {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
aix-g++-64 {
  QMAKE_CXXFLAGS_RELEASE += -O0
}
